petsc-3.13.6 2020-09-29
Report Typos and Errors

# TSComputeInitialCondition

Compute an initial condition for the timestepping using the function previously set.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeInitialCondition(TS ts, Vec u)

Collective on ts

### Input Arguments

| ts | - time stepping context
| u | - The Vec to store the condition in which will be used in TSSolve()

### Notes

The calling sequence for the function is

    initCondition(TS ts, Vec u)

    ts - The timestepping context

    u  - The input vector in which the initial condition is stored

### See Also

TSGetComputeInitialCondition(), TSSetComputeInitialCondition(), TSSolve()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages